package model

// platform:module:class:action
// pro:*:*:*
// pro:content:*:*
// pro:content:secret_news:*
// pro:content:secret_news:upload

type Privilege struct {
	CreatedAt int64  `json:"created_at" gorm:"column:created_at;autoCreateTime:milli"`
	UpdatedAt int64  `json:"updated_at" gorm:"column:updated_at;autoUpdateTime:milli"`
	DeletedAt int64  `json:"deleted_at" gorm:"index;column:deleted_at;default:0"`
	Code      string `json:"code" gorm:"column:code;primaryKey"`
	Label     string `json:"label" gorm:"column:label"`
	Parent    string `json:"parent" gorm:"column:parent"`
	Scope     string `json:"scope" gorm:"column:scope"`
}

func (p *Privilege) Validate() error {
	return nil
}
